Skip to content

DELETE User

This API call deletes a user.

Location

/api/v1/portal-management/users/

Permissions required

admin-access-admins RW.

Body parameters

Parameter Type Required Description
user_uuid uuid yes Unique id of the user.

Example Body (json)

{
        "user_uuid": "3b58843c-644b-11f1-a54b-bc2411125ba4"
}

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/portal-management/users/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => $json_payload,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json',
        'X-HTTP-Method-Override: DELETE'
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

"User successfully deleted"

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.